Bug 1419615 - [abrt] dnf: repo.py:406:_progress_cb:SystemError: PyEval_EvalFrameEx returned a result with an error set
Summary: [abrt] dnf: repo.py:406:_progress_cb:SystemError: PyEval_EvalFrameEx returned...
Keywords:
Status: CLOSED DUPLICATE of bug 1387754
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5f645ec3676867600c00ce1e7e4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 15:20 UTC by John Doward
Modified: 2017-02-13 14:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-13 14:25:26 UTC
Type: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (530.93 KB, text/plain)
2017-02-06 15:20 UTC, John Doward
no flags Details
File: backtrace (1.92 KB, text/plain)
2017-02-06 15:20 UTC, John Doward
no flags Details
File: dnf-makecache.log (877.61 KB, text/plain)
2017-02-06 15:21 UTC, John Doward
no flags Details
File: environ (1.95 KB, text/plain)
2017-02-06 15:21 UTC, John Doward
no flags Details

Description John Doward 2017-02-06 15:20:15 UTC
Version-Release number of selected component:
dnf-1.1.10-5.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/libexec/system-python /bin/dnf update -y
executable:     /bin/dnf
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
repo.py:406:_progress_cb:SystemError: PyEval_EvalFrameEx returned a result with an error set

OSError: [Errno 5] Input/output error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1098, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 813, in _process_demands
    load_available_repos=lar)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 239, in fill_sack
    self._add_repo_to_sack(r)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 111, in _add_repo_to_sack
    repo.load()
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 836, in load
    self._handle_load(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 591, in _handle_load
    return self._handle_load_core(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 604, in _handle_load_core
    result = handle.perform()
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 226, in perform
    return super(_Handle, self).perform(result)
  File "/usr/lib64/python3.5/site-packages/librepo/__init__.py", line 1506, in perform
    _librepo.Handle.perform(self, result)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 406, in _progress_cb
    self.progress.progress(self, done)
SystemError: PyEval_EvalFrameEx returned a result with an error set

Local variables in innermost frame:
self: <dnf.repo.MDPayload object at 0x7f568d2ede10>
done: 0.0
cbdata: None
total: 0.0

Comment 1 John Doward 2017-02-06 15:20:52 UTC
Created attachment 1248063 [details]
File: _var_log_dnf.log

Comment 2 John Doward 2017-02-06 15:20:54 UTC
Created attachment 1248064 [details]
File: backtrace

Comment 3 John Doward 2017-02-06 15:21:38 UTC
Created attachment 1248065 [details]
File: dnf-makecache.log

Comment 4 John Doward 2017-02-06 15:21:39 UTC
Created attachment 1248066 [details]
File: environ

Comment 5 Igor Gnatenko 2017-02-06 15:22:58 UTC
this is clearly librepo bug.

Comment 6 Igor Gnatenko 2017-02-13 14:25:26 UTC

*** This bug has been marked as a duplicate of bug 1387754 ***


Note You need to log in before you can comment on or make changes to this bug.